| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::resolve_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::resolve_error:

## Detailed Description

Gets thrown when a property resolution fails

## Public Member Functions
| resolve_error (const std::string &what)
unsigned | code (void) const override
resolve_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::rfnoc_error
| rfnoc_error (const std::string &what)
unsigned | code (void) const override
rfnoc_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

## ◆ resolve_error()

uhd::resolve_error::resolve_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::resolve_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

resolve_error * uhd::resolve_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::resolve_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp